#!/bin/zsh --no-rcs

local identifiers=""
[[ $safari -eq 1 ]] && identifiers+="Safari+com.apple.Safari,"
[[ $brave -eq 1 ]] && identifiers+="Brave+com.brave.Browser,"
[[ $firefox -eq 1 ]] && identifiers+="Firefox+org.mozilla.firefox,"
[[ $orion -eq 1 ]] && identifiers+="Orion+com.kagi.kagimacOS,"
[[ $chrome -eq 1 ]] && identifiers+="Chrome+com.google.Chrome,"
[[ $edge -eq 1 ]] && identifiers+="Edge+com.microsoft.edgemac,"
[[ $arc -eq 1 ]] && identifiers+="Arc+company.thebrowser.Browser,"
[[ $opera -eq 1 ]] && identifiers+="Opera+com.operasoftware.Opera,"
[[ $vivaldi -eq 1 ]] && identifiers+="Vivaldi+com.vivaldi.Vivaldi,"
[[ $duck -eq 1 ]] && identifiers+="DuckDuckGo+com.duckduckgo.macos.browser,"
[[ $tor -eq 1 ]] && identifiers+="Tor+org.torproject.torbrowser,"
[[ $sigmaos -eq 1 ]] && identifiers+="SigmaOS+com.sigmaos.sigmaos.macos,"
[[ $ghostbrowser -eq 1 ]] && identifiers+="Ghost Browser+com.ghostbrowser.gb1,"
identifiers=${identifiers%?} # drop last comma

local items=""
for identifier in "${(s:,:)identifiers}"; do
    local -a components
    components=("${(s:+:)identifier}")
    if echo "$components[2]" | tr -d ' ' | grep -qi "$1"; then
        items+="{
            \"title\":\"$components[1]\",
            \"arg\":\"$components[2]\",
            \"icon\":{
                \"path\":\"icons/$components[2].png\"
            }
        },"
	fi
done 

echo -n "{
    \"items\": [
        $items
    ]
}"